Name:           python-pydflow
Version:        1.8.124
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Dflow is a Python framework for constructing scientific computing workflows employing Argo Workflows as the workflow engine.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/deepmodeling/dflow
Source:         %{pypi_source pydflow}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pydflow' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pydflow
Summary:        %{summary}

%description -n python3-pydflow %_description


%prep
%autosetup -p1 -n pydflow-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pydflow -f %{pyproject_files}


%changelog
%autochangelog